Bug 11239 - show hour of due date in history circulation
Summary: show hour of due date in history circulation
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-12 16:44 UTC by Marjorie Barry-Vila
Modified: 2015-12-03 22:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
checkout_history (48.40 KB, image/png)
2013-11-12 16:44 UTC, Marjorie Barry-Vila
Details
Bug 11239 - show hour of due date in history circulation (2.21 KB, patch)
2015-01-07 13:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11239 - show hour of due date in history circulation (2.23 KB, patch)
2015-01-07 19:33 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 11239 - show hour of due date in history circulation (2.30 KB, patch)
2015-01-08 12:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marjorie Barry-Vila 2013-11-12 16:44:59 UTC
Created attachment 22887 [details]
checkout_history

It will be fine to see in history circulation hour of a checkout and of due date.

We can specify now in 3.12 an hour when we choose a due date but the hour do not display in history circulation.

We should have the same display as checkout history (see image).

Thanks

Marjorie
Comment 1 Katrin Fischer 2015-01-06 22:00:43 UTC
The checkout history (record detail) shows the times, while the circulation history (patron account) does only show the dates.
Comment 2 Owen Leonard 2015-01-07 13:45:46 UTC Comment hidden (obsolete)
Comment 3 sandboxes@biblibre.com 2015-01-07 19:33:37 UTC
Patch tested with a sandbox, by marjorie <marjorie.barry-vila@ccsr.qc.ca>
Comment 4 sandboxes@biblibre.com 2015-01-07 19:33:58 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-01-08 12:24:56 UTC
Created attachment 35035 [details] [review]
Bug 11239 - show hour of due date in history circulation

The circulation history page (Patron -> Circulation history) does not
show the time when displaying the date of checkout, due date, and check
in. This patch adds the "with_hours => 1" flag to the KohaDates filter.

To test, apply the patch and view the circulation history page for a
patron with good circulation history data. Confirm that dates are
displayed correctly with times and that date sorting still works
correctly.

Signed-off-by: marjorie <marjorie.barry-vila@ccsr.qc.ca>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Tomás Cohen Arazi 2015-04-08 15:24:00 UTC
Patch pushed to master.

Thanks Owen! We miss you around!